# -*- coding: utf-8 -*-
# @ModuleName: old_video_recall
# @Author: Liqian
# @Time: 2022/4/25 下午3:33
# @Software: PyCharm
import pandas as pd
from datetime import datetime
from utils import get_data_from_odps
from config import set_config
from log import Log

config_, env = set_config()
log_ = Log()


def get_old_videos():
    """获取老旧视频"""
    now_date = datetime.strftime(datetime.today(), '%Y%m%d')
    log_.info(f"now_date = {now_date}")
    project = config_.OLD_VIDEOS_PROJECT
    table = config_.OLD_VIDEOS_TABLE
    records = get_data_from_odps(project=project, table=table, date=now_date)
    data = [{'videoid': record['videoid']} for record in records]
    data_df = pd.DataFrame(data=data)
    print(data_df)


if __name__ == '__main__':
    get_old_videos()
